{

	"executor": {
		"executorType": "sequentialExecutor",
		"sequence": [ "start", "inputToCVMat", "resize", "padding", "cvtColor", "NormalizeByChannel", "transpose", "CVMatToTensor", "infer", "tensorToFloatVecFont","tensorToFloatVecBold", "softmaxFont","softmaxBold", "final" ],
		"dataStream": {
			"inputToCVMat": {
				"input": [ "srcImage" ],
				"output": [ "CVMatOutput" ]
			},
			"resize": {
				"input": [ "CVMatOutput" ],
				"output": [ "resizeOutput" ]
			},	
			"padding": {
				"input": [ "resizeOutput" ],
				"output": [ "paddingOutput" ]
			},
			"cvtColor": {
				"input": [ "paddingOutput" ],
				"output": [ "cvtColorOutput" ]
			},	
			"NormalizeByChannel": {
				"input": [ "cvtColorOutput" ],
				"output": [ "convertToOutput" ]
			},
			"transpose": {
				"input": [ "convertToOutput" ],
				"output": [ "transposeOutput" ]
			},
			"CVMatToTensor": {
				"input": [ "transposeOutput" ],
				"output": [ "CVMatToTensorOutput" ]
			},
			"infer": {
				"input": [ "CVMatToTensorOutput" ],
				"output": [ "inferOutput1","inferOutput2" ]
			},
			"tensorToFloatVecFont": {
				"input": [ "inferOutput1" ],
				"output": [ "tensorToFloatVecOutputFont" ]
			},
			"tensorToFloatVecBold": {
				"input": [ "inferOutput2" ],
				"output": [ "tensorToFloatVecOutputBold" ]
			},
			"softmaxFont": {
				"input": [ "tensorToFloatVecOutputFont" ],
				"output": [ "outputFont" ]
			},
			"softmaxBold": {
				"input": [ "tensorToFloatVecOutputBold" ],
				"output": [ "outputBold" ]
			}
		}
	},
	"node": {
		"start": {
			"nodeType": "StartNode"
		},
		"inputToCVMat": {
			"nodeType": "InputToCVMatNode",
			"releaseInputData": true
		},
		"resize": {
			"nodeType": "ResizeNode",
			"width": 64,
			"height": 64,
			"equalProportion": true
		},
		"padding": {
			"nodeType": "PaddingNode",
			"width": 64,
			"height": 64,
			"borderType": 0,
			"makeBorderType": 0,
			"scalarArray": [ 255, 255, 255, 0 ]
		},
		"cvtColor": {
			"nodeType": "CvtColorNode",
			"code": "GRAY"
		},
		"NormalizeByChannel": {
			"nodeType": "NormalizeByChannelNode",
			"rtype": 5,
			"scale": [ 0.485 ],
			"bias": [ 0.229 ]
		},
		"transpose": {
			"nodeType": "TransposeNode",
			"count": 3
		},
		"CVMatToTensor": {
			"nodeType": "CVMatToTensorNode",
			"elemsize": 4,
			"name": "inputs_0",
			"layout": [ "n", "c", "h", "w" ]
		},
		"infer": {
			"nodeType": "InferenceNode",
			"backendType": 3,
			"precision": 0,
			"modelFileNames": [ "ocr_font_rec_v1.xml", "ocr_font_rec_v1.bin"]
		},
		"tensorToFloatVecFont": {
			"nodeType": "TensorToFloatVecNode",
			"index": 2,
			"tensorIndex":0
		},
		"tensorToFloatVecBold": {
			"nodeType": "TensorToFloatVecNode",
			"index": 2,
			"tensorIndex":1
		},
		"softmaxFont": {
			"nodeType": "SoftMaxNode"
		},
		"softmaxBold": {
			"nodeType": "SoftMaxNode"
		},
		"final": {
			"nodeType": "FinalNode",
			"release": [ "srcImage" ]
		}
	}
}
